#!/bin/sh
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2003, 2013 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# IBM_COPYRIGHT_END

#
#
# Licensed Materials - Property of IBM
# 5724-F75
# (C) Copyright IBM Corp.  2003 - 2010
# All Rights Reserved
# US Government Users Restricted Rights -Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##
# script to change the db password and update the database
#
#

if  [ "/" = `expr substr $0 1 1` ]; then
ORIG_DIR=`pwd`
SH_DIR=`dirname $0`
else
ORIG_DIR=`pwd`
cd `dirname $0`
SH_DIR=`pwd`
cd $ORIG_DIR
fi
PATH=$SH_DIR:$PATH
CMDFINDER=which
BASENAME=`basename $0`
SH_DIR=`$CMDFINDER $BASENAME`

SH_DIR=`dirname $SH_DIR`
LWI_DIR="$SH_DIR/../lwi"
DIR_HOME="$SH_DIR/.."

# Check to see if we are running, if we are, bail
STATUS=`$LWI_DIR/bin/lwistatus.sh`
if [ $STATUS != INACTIVE ] ; then
  echo "Director server is running.  Stop Director server and run changePassword again."
  exit 1
fi

if [ -f $DIR_HOME/bin/smdb ];
then
   $DIR_HOME/bin/smdb start
fi

DBCLASSPATH="$DIR_HOME/bin:$LWI_DIR/lib/lwisecurity.jar:$LWI_DIR/lib/passutils.jar:$DIR_HOME/bin/cfgdbcmd.jar:$DIR_HOME/bin/changePassword.jar"

javaArg=" -classpath $DBCLASSPATH -DDirHome=$DIR_HOME -DLWIInstallLocation=$LWI_DIR com.ibm.usmi.install.dbchangepw.LWIChangeDbPassword $*"

$DIR_HOME/jre/bin/java $javaArg

EXIT_CODE=$?

echo changePassword return code = $EXIT_CODE

cd $ORIG_DIR

exit $EXIT_CODE
