@echo off
rem
REM Licensed Materials - Property of IBM
REM
REM (C) Copyright IBM Corp. 2009, 2011 All Rights Reserved
REM
REM US Government Users Restricted Rights - Use, duplicate or
REM disclosure restricted by GSA ADP Schedule Contract with
REM IBM Corp.
rem
@echo off

setlocal ENABLEDELAYEDEXPANSION

set BIN_DIR=%~dp0
set LWI_DIR=%BIN_DIR%..\lwi
set DIR_HOME=%BIN_DIR%..

set DBCLASSPATH=%DIR_HOME%\bin;%LWI_DIR%\lib\lwisecurity.jar;%LWI_DIR%\lib\passutils.jar;%DIR_HOME%\bin\encryptpw.jar;%DIR_HOME%\bin\cfgdbcmd.jar

pushd %BIN_DIR%

:: Define the find command
set WINSYS=%ComSpec:\cmd.exe=\%

if exist %WINSYS%find.exe (
  set FIND=%WINSYS%find.exe
) else (
  set FIND=find.exe
)

REM Check to see if we are running, if we are, bail
call "%DIR_HOME%\lwi\bin\lwistatus" >usmsstatus
%FIND% "ACTIVE" <usmsstatus>fout
FOR /F "tokens=*" %%i in ('type fout') do SET TOOLOUTPUT=%%i 
if %TOOLOUTPUT% == ACTIVE (
   echo Director server is running.  Stop Director server and run cfgdbcmd again.
   echo.Try 'net stop dirserver' if you are sure you wanted this stopped.
   del usmsstatus
   del fout
   exit /B 1
)

if exist "%DIR_HOME%\bin\smdb.bat" (   call "%DIR_HOME%\bin\smdb.bat" start) 

if (%1)==(-usage) GOTO RUNDBSETUP

REM Run database setup 
:RUNDBSETUP
"%DIR_HOME%\jre\bin\java" -classpath "%DBCLASSPATH%" ^
		-DDirHome="%DIR_HOME%" ^
		-DLWIInstallLocation="%LWI_DIR%" ^
		com.ibm.usmi.install.dbconfig.LWIDbConfig %*

popd
echo return code from cfgdbcmd is %errorlevel%
exit /B %ERRORLEVEL%

:endall
