@echo off
REM
REM Licensed Materials - Property of IBM
REM 5724-F75
REM (C) Copyright IBM Corp.  2003, 2013
REM All Rights Reserved
REM US Government Users Restricted Rights -Use, duplication or 
REM disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
REM
REM script to config db and initialize the database 
REM
@echo off

setlocal

set BIN_DIR=%~dp0
set LWI_DIR=%BIN_DIR%..\lwi
set DIR_HOME=%BIN_DIR%..

set DBCLASSPATH=%BIN_DIR%;%BIN_DIR%..\lwi\lib\lwisecurity.jar;%BIN_DIR%..\lwi\lib\passutils.jar;%BIN_DIR%cfgdbcmd.jar;%BIN_DIR%changePassword.jar
pushd %BIN_DIR%

:: Define the find command
set WINSYS=%ComSpec:\cmd.exe=\%

if exist %WINSYS%find.exe (
  set FIND=%WINSYS%find.exe
) else (
  set FIND=find.exe
)

REM Check to see if we are running, if we are, bail
call "%DIR_HOME%\lwi\bin\lwistatus" >usmsstatus
%FIND% "ACTIVE" <usmsstatus>fout
FOR /F "tokens=*" %%i in ('type fout') do SET TOOLOUTPUT=%%i 
if %TOOLOUTPUT% == ACTIVE (
   echo Director server is running.  Stop Director server and run changePassword again.
   echo.Try 'net stop dirserver' if you are sure you wanted this stopped.
   del usmsstatus
   del fout
   exit /B 1
)


if exist "%DIR_HOME%\bin\smdb.bat" (

   call "%DIR_HOME%\bin\smdb.bat" start

) 

"%BIN_DIR%\..\jre\bin\java" -classpath "%DBCLASSPATH%" ^
		-DDirHome="%DIR_HOME%" ^
		-DLWIInstallLocation="%LWI_DIR%" ^
		com.ibm.usmi.install.dbchangepw.LWIChangeDbPassword %*

popd
echo return code from changePassword is %errorlevel%
exit /B %errorlevel%